Subject: Re: [PATCH] powerpc: Merge align.c

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 15 Nov 2005 16:35:09 +1100

On Mon, 2005-11-14 at 23:10 -0600, Becky Bruce wrote:
> Ben,
> 
> I've just done some basic testing of lmw/stmw, lwz/stw, lhx/sth, 
> lfs/stfs, and lfd/stfd misaligned across a doubleword boundary, and 
> everything looks good so far.   I'll check out the byte reversals and a 
> few other forms tomorrow.

Excellent, thanks ! BTW. Make sure you test these one CPUs that actually
trap on misaligned accesses :) Best is probably to do the misaligned
access accross a page boundary, that's what most CPUs can do.

Ben.